Hi Regg,
I am kind of new to VB, I tried to collect like you suggested, can you give me sample code.
Thanks
Sub Sorting()
Dim ListString
Dim CollList As New Collection
ListString = Array("A", "B", "B", "A", "C")
i = 0
Do
CollList.Add ListString(i)
If i...
I have a list of strings and I would like collect from that list only one time if the strings the same for example if an array("A", "B", "C", "A", "B", "B")
and I would like to collect ("A", "B", "C"). How do I do that. Thanks in advance
Yes, jackk is right, you can use OUTPUT FEATURE. Or another way to do it with VB scrip.
Dim PartDoc As PartDocument
Set PartDoc = CATIA.ActiveDocument
Dim GeoElements As GeometricElements
Set GeoElements = PartDoc.GeometricElements
Dim GeoElement As GeometricElement
For i = 1 To...
If You want to collect the parameters of the active CATPart in designing product. What you should do is
Dim productDocument1 As ProductDocument
Set productDocument1 = CATIA.ActiveDocument
Dim Rootprod As Product
Set Rootprod = productDocument1.Product
Dim MyProd As product
Set MyProd =...
Jozsef,
They are separate body. You can try to create multiple bodies in your CATPart and do analyze volume it will give you the total volume of all of the bodies.
I have a CATPart which has multiple bodies, when I tried to collect it's volume by using VB it only return the value of the partbody (1) only. I tried to do analyze inertia manually then it does give me the total volume of all the bodies, that what I expect it to do. Is my script missing...
trumpet86, I am not quite understand what do you try to do, but this is how the formula works. For example if the outside radius of the cylinder equal to inside radius + the thickness of the wall, then what you should do is:
create a parameter for the wall thickness
create a parameter for the...
Hi all
I have a CATPart with an Open.Body that has a several items, and I am trying to collect the items that are only points. Several points are renamed. I tried to use GeometricElements class but it just return the sketch elements such as points, line, etc.. Can some one help me with this...
You do not need to put anything after the parameter in your spread sheet, but make sure you have set your unit in inch. in tool options under parameters tab.
I just installed V5R13 into my desk top, and seem like for every 30 minutes it just closed the CATIA window automatically, I did uncheck Automatic save in tool option but it's still happened. Is there any other options in tool options that I need to check or uncheck.
Thanks
I tried to do colision detection between two parts by using vb, but I could not get it to work .Can someone help me with this? Below is part of script
dim productdocument1 as Productdocument
set productdocument1 = CATIA.ActiveDocument
dim products1 as Products
set products1 =...